### Enumeration

# FwupdPlugin PciBaseCls

since: 1.0

#### Declaration

    enum FwupdPlugin.PciBaseCls

#### Description [src]

PCI base class types returned by fu_udev_device_get_cls().

Available since: 1.0

#### Members

`FU_PCI_BASE_CLS_OLD`

  Device from before classes were defined.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_MASS_STORAGE`

  Mass Storage Controller.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_NETWORK`

  Network controller.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_DISPLAY`

  Display controller.

  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_MULTIMEDIA`

  Multimedia controller.

  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_MEMORY`

  Memory controller.

  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_BRIDGE`

  Bridge.

  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_SIMPLE_COMMUNICATION`

  Simple communications controller.

  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_BASE`

  Base system peripheral.

  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_INPUT`

  Input device.

  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_DOCKING`

  Docking station.

  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_PROCESSORS`

  Processor.

  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_SERIAL_BUS`

  Serial bus controller.

  - Value: `12`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_WIRELESS`

  Wireless controller.

  - Value: `13`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_INTELLIGENT_IO`

  Intelligent IO controller.

  - Value: `14`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_SATELLITE`

  Satellite controller.

  - Value: `15`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_ENCRYPTION`

  Encryption/Decryption controller.

  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_SIGNAL_PROCESSING`

  Data acquisition and signal processing controller.

  - Value: `17`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_ACCELERATOR`

  Processing accelerator.

  - Value: `18`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_NON_ESSENTIAL`

  Non-essential instrumentation.

  - Value: `19`
  - Nickname: `None`
  - Available since: 1.0
`FU_PCI_BASE_CLS_UNDEFINED`

  Device doesn’t fit any defined class.

  - Value: `255`
  - Nickname: `None`
  - Available since: 1.0